function love.load()
	mballimg = love.graphics.newImage("metaball.png")
	ballsx = {168,188,246,374,420,420,460,360,330,363}
	ballsy = {140,108,91,73,103,103,120,190,214,219}
	effect = love.graphics.newPixelEffect [[
        vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{
		vec4 pixel = Texel(texture, texture_coords);
		pixel.r = round(pixel.r);
		pixel.g = round(pixel.g);
		pixel.b = round(pixel.b);
		return  pixel;	
		}
	]]
	canv = love.graphics.newCanvas(800,600)
end

function love.draw()
	canv:clear(0,0,0,0)
	love.graphics.setBlendMode("additive")
	love.graphics.setCanvas(canv)
	for n=1,10,1 do
		love.graphics.draw(mballimg,ballsx[n],ballsy[n],0,1,1,0,0,0,0)
	end
	love.graphics.setCanvas()
	love.graphics.setBlendMode("alpha")
	love.graphics.setPixelEffect(effect)
	love.graphics.draw(canv,0,0,0,1,1,0,0,0,0)
	love.graphics.setPixelEffect()
	love.graphics.setColor(255,255,255,255)
	love.graphics.print(love.timer.getFPS(),32,32,0,1,1,0,0,0,0)
end